## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate reedline

Name:           rust-reedline
Version:        0.37.0
Release:        %autorelease
Summary:        Readline-like crate for CLI text input

License:        MIT
URL:            https://crates.io/crates/reedline
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unavailable rusqlite feature for statically linking libsqlite3
Patch:          reedline-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A readline-like crate for CLI text input.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/UX_TESTING.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arboard-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arboard-devel %{_description}

This package contains library source intended for building other packages which
use the "arboard" feature of the "%{crate}" crate.

%files       -n %{name}+arboard-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bashisms-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bashisms-devel %{_description}

This package contains library source intended for building other packages which
use the "bashisms" feature of the "%{crate}" crate.

%files       -n %{name}+bashisms-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crossbeam-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossbeam-devel %{_description}

This package contains library source intended for building other packages which
use the "crossbeam" feature of the "%{crate}" crate.

%files       -n %{name}+crossbeam-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+external_printer-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+external_printer-devel %{_description}

This package contains library source intended for building other packages which
use the "external_printer" feature of the "%{crate}" crate.

%files       -n %{name}+external_printer-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rusqlite-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rusqlite-devel %{_description}

This package contains library source intended for building other packages which
use the "rusqlite" feature of the "%{crate}" crate.

%files       -n %{name}+rusqlite-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_json-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_json" feature of the "%{crate}" crate.

%files       -n %{name}+serde_json-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sqlite-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sqlite-devel %{_description}

This package contains library source intended for building other packages which
use the "sqlite" feature of the "%{crate}" crate.

%files       -n %{name}+sqlite-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sqlite-dynlib-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sqlite-dynlib-devel %{_description}

This package contains library source intended for building other packages which
use the "sqlite-dynlib" feature of the "%{crate}" crate.

%files       -n %{name}+sqlite-dynlib-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+system_clipboard-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+system_clipboard-devel %{_description}

This package contains library source intended for building other packages which
use the "system_clipboard" feature of the "%{crate}" crate.

%files       -n %{name}+system_clipboard-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Nov 16 2024 Michel Lind <salimma@fedoraproject.org> - 0.37.0-1
- Update to version 0.37.0; Fixes: RHBZ#2306483

* Thu Aug 01 2024 Michel Lind <salimma@fedoraproject.org> - 0.33.0-1
- Update to version 0.33.0; Fixes RHBZ#2272710

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.30.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Mar 22 2024 Michel Lind <salimma@fedoraproject.org> - 0.30.0-1
- Update to 0.30.0 (rhbz#2267999)

* Thu Feb 15 2024 Michel Lind <salimma@fedoraproject.org> - 0.27.1-1
- Update to 0.27.1

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 01 2023 Michel Lind <salimma@fedoraproject.org> - 0.25.0-1
- Update to 0.25.0

* Mon Sep 25 2023 Fabio Valentini <decathorpe@gmail.com> - 0.19.1-4
- Bump rstest dev-dependency to 0.18

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat May 27 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.19.1-2
- Errata: version is 0.19.1 not 0.29.1

* Fri May 26 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.19.1-1
- Update to 0.29.1
- Drop clipboard feature; the crate is retired
- Bump rstest dependency to 0.17.0
- Use rusqlite rather than rusqlite/bundled

* Sat Feb 25 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.16.0-1
- Initial Fedora package
## END: Generated by rpmautospec
